#--
#-- SUB: createSnapshotLogTable
#-- Creates the SNAPSHOT LOG table
#--
sub createSnapshotLogTable {
	my ($schemaname, $mastername, $logKeyColumns) = @_;

	my $strcolumns = '';
	my $sql;
	my $sth;

	while (my ($key,$value) = each %$logKeyColumns) {
		elog NOTICE, "$key=>$value" if $main::DEBUG==1;
		my $entry = "$key $value";
		$strcolumns = "$strcolumns$entry,\n";
	}

	$sql = <<SQL;
CREATE TABLE $schemaname.mlog\$_$mastername (
	$strcolumns
	snaptime\$\$	timestamp,
	dmltype\$\$	varchar(1),
	old_new\$\$	varchar(1),
	change_vector\$\$	varchar(255)
)
SQL

	elog NOTICE, $sql if $main::DEBUG==1;

	$sth = spi_exec_query($sql);

	if ($sth->{status} ne 'SPI_OK_UTILITY') {
		elog ERROR, "Could not create the snapshot log for table '$schemaname.$mastername'. STATUS='".$sth->status."' SQL='$sql'";
	}

	return "mlog\$_$mastername";
}
