#--
#-- SUB: prepareForRefresh
#-- Prepares the local SNAPSHOT for the refresh process, removing old rows, old logs, etc.
#--
sub prepareForRefresh {
	#-- Function parameters
	my ($dbh, $snapshot) = @_;

	#-- Local variables
	my $kind = 'C';
	my $lastRefresh = undef;
	my $snapid = $snapshot->{'snapid'};
	my ($masterschema, $mastername) = retrieveMasterForSnapshot($dbh, $snapshot);
	if ($masterschema ne undef) {
		if (snapshotLogExists($dbh, $masterschema, $mastername)) { #-- has snapshot log
			call_driver_function($dbh, 'snapshot_do', 'REGISTER', $masterschema, $mastername, $snapid);
			$lastRefresh = getLastSnapshotLogRefresh($dbh, $masterschema, $mastername, $snapid);
			elog NOTICE, "Last refresh on $lastRefresh" if $main::DEBUG==1;
			$kind = getRefreshMethod($dbh, $snapshot, $masterschema, $mastername, $lastRefresh);
		}
	}
	elog NOTICE, "Refresh method=$kind" if $main::DEBUG==1;
	return ($masterschema, $mastername, $kind, $lastRefresh);
}

