#--
#-- SUB: sqlLookup
#-- Returns a one row result from a SQL query
#--
sub sqlLookup {
        my ($dbh, $sql, @params) = @_;
	return sqlLookup2 ($dbh, $sql, \@params, TRUE);
}
sub sqlLookupSoft {
	my ($dbh, $sql, @params) = @_;
	return sqlLookup2 ($dbh, $sql, \@params, FALSE);
}

sub sqlLookup2 {
	my ($dbh, $sql, $params, $errorsAreFatal) = @_;
	my $sth;
	my @row;

	elog NOTICE, "Lookup at SQL:$sql with ".((@$params ne 0) ? join(',', @$params) : '<none>') if $main::DEBUG==1;

	$sth = $dbh->prepare($sql);
	if (@$params ne 0) {
		$sth->execute(@$params);
	} else {
		$sth->execute();
	}
	if ($sth->err) {
		if ($errorsAreFatal) {
			elog ERROR, "Fatal error! SQL=$sql ERROR=".$sth->errstr;
		}
	}
	my @row = $sth->fetchrow_array;
	$sth->finish;
	return @row;
}
